# ApiError | windmill-client
Documentation for windmill-client

# Class ApiError

#### Hierarchy

- Error
  - ApiError

- Defined in src/core/ApiError.ts:4

#####
Index

### Constructors

constructor

### Methods

captureStackTrace

### Properties

body
message
name
request
stack?
status
statusText
url
prepareStackTrace?
stackTraceLimit

##
Constructors

### constructor

- new ApiError(request, response, message): ApiError

- #### Parameters

  - request: ApiRequestOptions
  - response: ApiResult
  - message: string

  #### Returns ApiError

  Overrides Error.constructor

  - Defined in src/core/ApiError.ts:11

##
Methods

### `Static` captureStackTrace

- captureStackTrace(targetObject, constructorOpt?): void

- Create .stack property on a target object

  #### Parameters

  - targetObject: object
  - `Optional` constructorOpt: Function

  #### Returns void

  Inherited from Error.captureStackTrace

  - Defined in node_modules/@types/node/globals.d.ts:4

##
Properties

### `Readonly` body

body: unknown

- Defined in src/core/ApiError.ts:8

### message

message: string

Inherited from Error.message

- Defined in ../../../home/rfiszel/.npm/_npx/dafcb7cdaad6ed61/node_modules/typescript/lib/lib.es5.d.ts:1077

### name

name: string

Inherited from Error.name

- Defined in ../../../home/rfiszel/.npm/_npx/dafcb7cdaad6ed61/node_modules/typescript/lib/lib.es5.d.ts:1076

### `Readonly` request

request: ApiRequestOptions

- Defined in src/core/ApiError.ts:9

### `Optional` stack

stack?: string

Inherited from Error.stack

- Defined in ../../../home/rfiszel/.npm/_npx/dafcb7cdaad6ed61/node_modules/typescript/lib/lib.es5.d.ts:1078

### `Readonly` status

status: number

- Defined in src/core/ApiError.ts:6

### `Readonly` statusText

statusText: string

- Defined in src/core/ApiError.ts:7

### `Readonly` url

url: string

- Defined in src/core/ApiError.ts:5

### `Static` `Optional` prepareStackTrace

prepareStackTrace?: ((err: Error, stackTraces: CallSite[]) => any)

Optional override for formatting stack traces

#### See

https://v8.dev/docs/stack-trace-api#customizing-stack-traces

Inherited from Error.prepareStackTrace

- Defined in node_modules/@types/node/globals.d.ts:11

### `Static` stackTraceLimit

stackTraceLimit: number

Inherited from Error.stackTraceLimit

- Defined in node_modules/@types/node/globals.d.ts:13